Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001238 [1003.1(2016)/Issue7+TC2] System Interfaces Objection Error 2019-03-16 09:52 2019-06-24 15:39
Reporter kre View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Resolved  
Name Robert Elz
Organization
User Reference
Section shmat
Page Number 1940
Line Number 62499
Interp Status ---
Final Accepted Text See Note: 0004440
Summary 0001238: shmat() used the word "it" with an ambiguous antecedent
Description The standard specifies:


  • The segment is attached for reading if (shmflg &SHM_RDONLY) is non-zero and the
    calling process has read permission; otherwise, if it is 0 and the calling proce
    ss has read and write permission, the segment is attached for reading and writin
    g.


The it which might be 0 could refer to any of

  • The segment

  • (shmflg &SHM_RDONLY)

  • the calling process


Desired Action Two possible solutions appear reasonable.




Pick one:

  1. In line 62499 in page 1940 change the wording
    from:

    if it is 0

    to:

    if (shmflg &SHM_RDONLY) is 0

  2. Delete all of pages 1940 to 1947 (inclusive).


Tags tc3-2008
Attached Files

- Relationships
related to 0001239Resolved shmat() specifies non-portable return value 
related to 0001240Resolved shmctl(IPC_RMID) relationship with attached shared memory segments is not specified 
related to 0001237Resolved shmat() specifies use of an undefined operation 

-  Notes
(0004440)
nick (manager)
2019-06-20 15:49
edited on: 2019-06-20 15:52

Use option 1 of the desired action, but with the additional change of inserting a space after & in both the existing text of line 62499 and in the inserted text of the resolution.

Also change "(shmflg &SHM_RND)" on P1940, L62493 and on P1940, L62496 to "(shmflg & SHM_RND)".


- Issue History
Date Modified Username Field Change
2019-03-16 09:52 kre New Issue
2019-03-16 09:52 kre Name => Robert Elz
2019-03-16 09:52 kre Section => shmat
2019-03-16 09:52 kre Page Number => 1940
2019-03-16 09:52 kre Line Number => 62499
2019-06-20 15:49 nick Note Added: 0004440
2019-06-20 15:49 nick Interp Status => ---
2019-06-20 15:49 nick Final Accepted Text => See Note: 0004440
2019-06-20 15:49 nick Status New => Resolved
2019-06-20 15:49 nick Resolution Open => Accepted As Marked
2019-06-20 15:50 nick Tag Attached: tc3-2008
2019-06-20 15:52 nick Note Edited: 0004440
2019-06-24 15:37 eblake Relationship added related to 0001240
2019-06-24 15:38 eblake Relationship added related to 0001237
2019-06-24 15:39 eblake Relationship added related to 0001239


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker